Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005234opensim[REGION] OpenSim Corepublic2010-11-23 16:512012-01-13 17:34
Reportercmickeyb 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005234: baked appearance textures upload very slowly
Descriptionusers are reporting that avatars do not fully resolve. logging indicates that the baked textures are taking a very long time (sometimes minutes) to finish uploading. no errors on either the simulator or viewer debug consoles. reducing the maximum bandwidth in the viewer is reported to alleviate the problem.
TagsNo tags attached.
Git Revision or version number8466ada8e05c69
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filespatch file icon appearance-dec02.patch [^] (18,341 bytes) 2010-12-03 16:21 [Show Content]
patch file icon shooting-in-the-dark.patch [^] (2,422 bytes) 2010-12-20 14:17 [Show Content]
? file icon textures.sql [^] (32,670 bytes) 2010-12-20 18:02

- Relationships
related to 0005217closedmelanie avatars with default appearance render as clouds 
parent of 0005126closedDiva Avi's showing as cloud or invisible 

-  Notes
(0017431)
cmickeyb (administrator)
2010-12-03 16:24

Still having a number of problems with avatar bakes. In most cases the viewer bakes locally, starts to upload the textures, and then either slows down or stops altogether. Although the current master demonstrates this problem far more frequently, I can reproduce it consistently with versions from early October before the appearance rewrite.
(0017432)
cmickeyb (administrator)
2010-12-03 17:11

One more oddity... V2 debug console has some very interesting messages. Not the least of which is that it appears to be uploading the bakes multiple times at successively higher resolutions.
(0017568)
samiam (reporter)
2010-12-12 16:42

Currently we see this as Hit or miss. ON lan log in sometimes the Bakes load right off. Other times it trys but get messages that it cant in the client console (server experancing difacultys (need to close at least 4 message box's).
Sometimes will be dafult avie req a manual rebake or a quick relog.

Seems a quick relog takes care of both but after sometime goes by (being logged off for say an hr) One of the above happens again.

Its hard to pin it down to any one thing because of the dif. results each time.
The slowness seems not to be a problem but became randomnes's now.

User's have been mostly logging in then out then right back in to solve it for now.

The way it acts is that its not in sync. somehow. When it does load on login there is no further problems for the session.
(0017575)
LaniGlobal (reporter)
2010-12-12 21:06

Tested 12 Dec 2010.
Reproduced this in OSgrid regions:
OpenSim 0.7.1 Dev 8f1a79420be062ea59b3c04aacb439fb57713ac7 - 14371 (Unix/Mono)
OpenSim 0.7.1 Dev 8f1a7942 in OSgrid, Lani region
OpenSim 0.7.1 Dev 8f1a7942 in OSgrid, Samsara region.
and
OpenSim 0.7.1 Dev OSgrid 0.7.1 (Dev) ae9c4a4: 2010-11-09 (Win/.NET) in OSgrid, KaladanSpace region

and
Lbsa Plaza region of OSgrid
(0017627)
BlueWall (administrator)
2010-12-17 14:25
edited on: 2010-12-17 19:13

I spent some time looking at this. Here is what I found in my case ...

A user is making clothing for avatars and she complained that no one could see them when she changed. And she gave me pictures of her avatar wearing the clothes - although everyone else saw the previous clothes. Also, **the pictures show some of the textures not fully rezzed. She could wear some clothes and her avatar would rez fine.

I took a number of steps to isolate the issue:

1) starting by having her clear her viewer cache and relog.
2) no. 1 again, but I cleared my cache and relogged too.
3) no. 2, but clearing the simulator cache and restarting before logging in.
4) I used a different viewer.
5) Had her remove all clothing
6) Had her to try with different skins.
7) Had her rez the clothing items on a prim. One of the items was supposed to be 512x512. But it showed 16x16 in the texture console and was blurry. It was the one that was **blurred in the picture.
8) Had her to go back to her normal avatar, adding one item of clothing at a time. But, not adding the part that showed blurry in the picture.

After no. 8, her avatar and the new clothing would rez.
 
I had her replace the blurry texture with a new one. Her avatar would rez fine after that.

It looks like this is the flow of events that happen when updating appearance ...

1) The user updates the appearance with the viewer
2) The viewer fetches the textures and assets to assemble the avatar layers
3) After the assets are assembled, the viewer bakes the texture to upload for the avatar appearance. If textures never fully download, then the viewer never uploads a baked texture. It continues to wait for the download to complete.
4) The region updates the other users viewers in the scene AFTER the baked texture is uploaded.

It appears that we have issues in the handling of the j2k textures that cause them to never complete downloading. In the case of seeing it on a prim, the simulator will keep trying to download the textures layers and will show what it has. The viewer will only bake the textures after all parts have completed.

I will ask for a copy of the textures and attach them to the mantis.

(0017657)
cmickeyb (administrator)
2010-12-20 13:43

Just wanted to capture a few more notes on this...

Running with persistent baked textures off, completely clean simulator cache... Logged in six avatars with Phoenix (from the same client machine, relatively low latency connection to the region, region has 5000-ish prims), all bakes completed "quickly".

Seventh avatar logged in with imprudence did not complete the bake process. It did upload multiple baked textures but never completed the process (waited for 10 minutes to confirm this).

For that seventh avatar, changed to the default "pants" texture and the avatar finished rezzing almost immediately.

Repeated this process several times with a clean simulator restart each time to show reproducibility.

Then used Phoenix to login the seventh avatar. It rezzed almost immediately. Repeated multiple times to verify.

Finally, clean restart again... logged in the seventh avatar as the only avatar in the region. It took about 30 seconds but the avatar rezzed fully.

Current hypothesis is that texture downloads aren't completing fully. And each viewer handles this differently.
(0017658)
cmickeyb (administrator)
2010-12-20 14:18

Added a patch that may or may not help. Very simple testing seemed to indicate improvements when the binarystreamhandler was treated differently (dropping the buffer size down & increasing the pre-allocated memorystream size). This is probably not a solution...
(0017663)
BlueWall (administrator)
2010-12-20 18:08

Attached the textures from my test to the mantis in 'textures.sql'. They rez fully on my test grid though. These are asset data. They can be loaded form the command line ...
  mysql -u User -pPassword assets -e "load data infile '/path/to/textures.sql'"

Then you can rez them on a prim with the script ...

default
{
    state_entry()
    { // Cyan dfe6d318-14a6-45c2-afdf-349839c345a8
        // Red dcc15e14-7670-4ad4-99b5-005445c0e4d8
        llSetTexture("dcc15e14-7670-4ad4-99b5-005445c0e4d8",ALL_SIDES);
    }
}
(0019638)
justincc (administrator)
2011-08-18 18:45

Is this now probably fixed, considering the work that has gone on in this area?

- Issue History
Date Modified Username Field Change
2010-11-23 16:51 cmickeyb New Issue
2010-11-23 16:51 cmickeyb Git Revision => 8466ada8e05c69
2010-11-23 16:51 cmickeyb SVN Revision => 0
2010-11-23 16:51 cmickeyb Run Mode => Grid (Multiple Regions per Sim)
2010-11-23 16:51 cmickeyb Physics Engine => ODE
2010-11-23 16:51 cmickeyb Environment => Unknown
2010-11-23 16:51 cmickeyb Mono Version => None
2010-11-24 07:39 cmickeyb Relationship added related to 0005217
2010-12-03 16:21 cmickeyb File Added: appearance-dec02.patch
2010-12-03 16:24 cmickeyb Note Added: 0017431
2010-12-03 17:11 cmickeyb Note Added: 0017432
2010-12-12 16:42 samiam Note Added: 0017568
2010-12-12 21:06 LaniGlobal Note Added: 0017575
2010-12-17 14:25 BlueWall Note Added: 0017627
2010-12-17 14:26 BlueWall Note Edited: 0017627
2010-12-17 19:13 BlueWall Note Edited: 0017627
2010-12-19 19:52 Diva Relationship added parent of 0005126
2010-12-20 13:43 cmickeyb Note Added: 0017657
2010-12-20 14:17 cmickeyb File Added: shooting-in-the-dark.patch
2010-12-20 14:18 cmickeyb Note Added: 0017658
2010-12-20 18:02 BlueWall File Added: textures.sql
2010-12-20 18:08 BlueWall Note Added: 0017663
2011-08-18 18:45 justincc Note Added: 0019638
2012-01-13 17:34 justincc Status new => closed
2012-01-13 17:34 justincc Assigned To => justincc
2012-01-13 17:34 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker